@import 'settings';
@import 'mixins';

// dashboard for admin index
.app-dashboard {
    box-sizing: border-box;

    *,
    *::after,
    *::before {
        box-sizing: border-box;
    }

    #footer {
        display: none;
    }

    #content {
        width: auto;
        max-width: 1920px;
        margin-right: 0;
        padding: 6px;
        background: $gray-100;

        @media (min-width: 1921px) {
            max-width: 2400px;
        }
    }

    .app-dashboard-module {
        left: auto;
        right: auto;
        column-count: 1;
        column-gap: 0;

        @media (min-width: 980px) {
            column-count: 2;
        }

        @media (min-width: 1450px) {
            column-count: 3;
            max-width: 1600px;
        }

        @media (min-width: 2300px) {
            column-count: 4;
            max-width: 3000px;
        }


        .app {
            @include card;
            break-inside: avoid;
            page-break-inside: avoid;

            .app-container {
                @include card-contents;
            }

            .app-title {
                font-size: 24px;
                font-weight: 300;
                margin: 0 0 15px 0;

                a[href] {
                    color: $gray-900;
                }
            }

            .app-models {
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;
                margin: 0 -6px;
            }

            .model {
                position: relative;
                padding: 0 6px;
                color: $gray-800;

                width: 50%;

                @media (min-width: $desktop-width) {
                    width: 33.33%;
                }

                a {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;
                    text-align: center;
                    min-height: 150px;
                    padding: 10px 12px;
                    margin: 10px 0;
                    border-radius: 2px;
                    background: $gray-50;
                    border: solid 1px $gray-200;

                    .icon {
                        font-size: 48px;
                        width: 48px;
                        height: 48px;
                        margin-bottom: 12px;
                    }
                }
            }

            a {
                text-decoration: none;
                text-transform: capitalize;
                color: $gray-500;

                &[href] {
                    color: $gray-700;

                    &:hover {
                        color: $blue-dark;
                    }
                }
            }
        }
    }
}


// regular django admin dashboard
.dashboard {
    #content {
        > h1 {
            display: none;
        }
    }

    // app modules
    #content-main {
        display: flex;
        flex-direction: column;
        max-width: 100%;

        .module {
            order: 100;

            table {
                width: 100%;
                border-bottom: 0;
            }

            // apps
            tbody {
                display: flex;
                flex-direction: column;

                tr {
                    order: 100;
                }
            }

            th a {
                text-transform: capitalize;
            }

            // hide changelink
            a.changelink {
                display: none !important;
            }
        }
    }

    #content-related {
        display: none;
    }
}
